try:
    from setuptools import setup, find_packages
except ImportError:
    from ez_setup import use_setuptools
    use_setuptools()
    from setuptools import setup, find_packages

setup(
    name='sloecode',
    version='0.1',
    description='Sloecode code forge: server component.',
    author='Sloecode Developers',
    author_email='sloecode-dev@lists.launchpad.net',
    url='http://sloecode.launchpad.net',
    install_requires=[
        "Pylons>=0.10",
        "SQLAlchemy>=0.6",
        "Jinja2",
        "repoze.who<=1.99",
        "repoze.what",
        "repoze.who.plugins.sa",
        "repoze.what-pylons",
        "pycrypto",  #for smartserver
        "pyasn1",
        "zope.component",
    ],
    packages=find_packages(exclude=['ez_setup']),
    include_package_data=True,
    test_suite='nose.collector',
    zip_safe=False,
    entry_points="""
    [paste.app_factory]
    main = sloecode.config.middleware:make_app

    [paste.app_install]
    main = pylons.util:PylonsInstaller
    """,
)
