import os

from ConfigParser import ConfigParser


def get_conf(section_name):
    """Read the config file."""
    try:
        file_path = os.environ['SLOECODE_CONFIG']
    except KeyError:
        raise RuntimeError('Missing SLOECODE_CONFIG environment')
    cp = ConfigParser()
    cp.read(file_path)
    abs_file_path = os.path.abspath(file_path)
    cp._defaults.setdefault('here', os.path.dirname(abs_file_path))
    cp._defaults.setdefault('__file__', abs_file_path)
    return dict(cp.items(section_name))
